# LoggingEvent.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <string>`
`#include <log4cpp/Priority.hh>`
`#include <log4cpp/TimeStamp.hh>`

Include dependency graph for LoggingEvent.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

struct | log4cpp::LoggingEvent
| The internal representation of logging events. More...